// mixins menu	-----------------------------------------------------------------------/
@mixin header-fix {
    position: fixed;
    top: 0;
    height: 5em;
    width: 100%;
    background-color: white;
    z-index: 5;

}

@mixin menu {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;


}

@mixin home {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 22%;
    cursor: pointer;

    img {
        height: 3em;
    }
}

@mixin searchbar {
    border-radius: 4px;
    box-sizing: border-box;
    width: 10em;
}

// mixins nav with list	-----------------------------------------------------------------------/
@mixin list_nav {
    list-style: none;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    order: 2;
    width: 40%;
}

@mixin list_nav_item {
    text-decoration: none;
    margin: auto;
    width: auto;
}

// mixins nav with link only	-----------------------------------------------------------------------/
@mixin nav {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    //order: 2;
    width: 60%;
}

@mixin nav_item {
    text-decoration: none;
    margin: auto;
    width: auto;
    font-size: 1.3em;
}

// mixins button 	-----------------------------------------------------------------------/

@mixin blackButton {
    background: #1F1F1F;
    color: white;
    padding: 12px 16px;
    border: none;
    cursor: pointer;
    border-radius: 32px;
    width: 205px;
    height: 40px;
    font-weight: 500;
    font-size: 16px;
}

// mixins box-relative 	-----------------------------------------------------------------------/
@mixin box {
    width: 282px;
    height: 326px;
    border-radius: 8px;
    background-color: #FFFFFF;
    box-shadow: 0px 8px 56px rgba(0, 0, 0, 0.08);
    position: relative;
    margin: 0.3em;
}

@mixin box-picture {
    position: absolute;
    top: 0;
    width: 282px;
    height: 160px;
    border-radius: 8px;
}

@mixin box-content {
    position: absolute;
    bottom: 0;
    width: 282px;
    height: 200px;
    border-radius: 8px;
    padding-left: 1.2em;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

@mixin box-title {
    font-weight: 600;
    font-size: 24px;
    line-height: 28px;
}

// mixins box display-flex 	-----------------------------------------------------------------------/

@mixin box_container_display {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-around;
    margin: 3em;
}

@mixin box_display {
    background-color: rgba(64, 64, 64, 0.2);
    display: flex;
    width: 1200px;
    height: 200px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    border-radius: 20px;
    justify-content: center;
    align-items: center;
    font-size: 2em;
    font-weight: bold;
    text-align: center;
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
    cursor: pointer;
}